<!doctype html>
<html lang="en">
<head>
  <!-- Google tag (gtag.js) -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=G-3SVS4XQ47V"></script>
  <script>
    window.dataLayer = window.dataLayer || [];
    function gtag(){dataLayer.push(arguments);}
    gtag('js', new Date());
  
    gtag('config', 'G-3SVS4XQ47V');
  </script>
  <meta charset="utf-8">
  <meta name="author" content="Jim Hefferon" />
  <meta name="copyright" content="Contents of this HTML page and its CSS is CCSA 4.0." />
  <link rel="canonical" href="https://hefferon.net/computation/teaching.html" />
  <meta property="og:locale" content="en_US" />
  <meta property="og:type" content="website" />
  <meta property="og:title" content="Free Texts and more, from Jim Hefferon" />
  <meta property="og:description" content="Free Linear Algebra text, from Jim Hefferon" />
  <meta property="og:url" content="https://hefferon.net/computation/teaching.html" />
  <meta property="og:site_name" content="Free math texts" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Literata">
  <link rel="stylesheet" href="../hefferon.css">
  <title>Free Theory of Computation textbook: Extras</title>
</head>

<body>
  <div id="container">
    <div id="header">
      <p>
	<i>Theory of computation:</i> extras
      </p>
    </div>
    <div id="content">
      <div id="innercontent">
	<p>
	  <a href="/computation/"><i>Theory of Computation</i></a>
	  is a text for a first undergraduate course.
	  It is Free.
	  Use it as a main text, as a supplement, or for independent study.
	</p>
	<h3>
	  Are you teaching with this text?
	</h3>
        <p>You and your students can get a
	  <a href="hardcopy.html">paper version</a>.
	  (The hardcopy can differ in a number of small ways
	  from the electronic version that you can download.
	  There may be some typo corrections that have not yet made it to
	  paper, and of course the animations in the PDF
	  do not run on paper.
	  Also, some illustrations are not in the paper version for
	  licensing reasons, which changes pagination.) 
	</p>
	
	<h3>
	  You may find these materials useful.
	</h3>
	<ul class="nobullet">
	  <li><span class="listitem">Beamer slides</span>
	    I use these for
	    <a href="https://jheffero.w3.uvm.edu/computation/slides.zip">classroom presentation</a>.
            These cover the same material as the text, in the same order.
            They are made using the book's  
	    <a href="https://gitlab.com/jim.hefferon/toc"><span class="latex">L<sup>a</sup>T<sub>e</sub>X</span> source</a>
	    so they are sure to have the same wording, notation, etc.
          </li>
	  <li><span class="listitem">The
	    <a href="https://jheffero.w3.uvm.edu/computation/answers.pdf">answers to exercises</a></span>
	    contains worked solutions to all exercises. 
	    </li>
          </li>
          <li><span class="listitem">Videos</span>
	    I've made a sequence of
	    <a href="https://youtu.be/bP1lOm5rLsI">video</a> lectures.
	    Like the text, they emphasize motivation and examples. 
	    Most are 20&ndash;25 minutes, with
	    longer topics split in two.
	    They are intended for people working through the material on
	    their own, but others may also find them useful.
	  </li>
	  <li><span class="listitem">Machine simulation programs</span>
	    These are in Racket.
	    They are organized
	    <a href="https://gitlab.com/jim.hefferon/toc/-/tree/master/src/scheme">by chapter</a>.
	    (Some are under development.)
	  </li>
          </ul>

	<h3>
	  Suggested additional readings
	</h3>
	<p>
	  These books are available at most college or university libraries.
	  </p>
	
	<p>
	  <i>The Universal Computer: The Road from Leibniz to Turing</i>,
	  by Martin Davis (ISBN-13: 978-0393047851)
	  is a wonderful historical overview of the development of the
	  subject, written for a  wide audience by one of the central
	  people in that development.
	  </p>
	<p>
	  <i>Gödel, Escher, Bach: An Eternal Golden Braid</i>,
	  by Douglas Hofstadter (ISBN-13: 978-0465026562)
	  is a charmingly discursive exploration of many of the
	  ideas of the course (it is also a Pulitzer Prize winner).
	  </p>
      </div>
    </div>
    <div id="navbar">
      <div id="innernavbar">
	<h3>
	  More on <i>Theory of Computation</i>
	</h3>
	<ul>
	  <li><a href="/computation/">Description of the text</a>.</li>
	  <li><a href="hardcopy.html">Get paper copies</a>.</li>
	  <li><a href="/help.html">Help out</a>.
	    Donate or make a bug report.</li>
	</ul>
	<h3>
	  You may also like ... 
	</h3>
	<ul>
	  <li><a href="/linearalgebra/"><i>Linear Algebra</i></a>,
	      a text for a first undergraduate course.</li>
	  <li><a href="/proofs/"><i>Introduction to Proofs</i></a>,
	      for an Inquiry-Based course.</li>
	  <li><a href="/other/">More</a>,
	      including programs and documents.</li>
	  <li><a href="/jimhefferon.html">About me</a>.</li>
	  <li><a href="/">This site's home page</a>.</li>
	</ul>
      </div>
    </div>
    <div id="footer">
      <a id="contact" href="/jimhefferon.html">Contact me</a>
    </div>
</body>
</html>
